File seahorse-plugins.changes of Package seahorse-plugins

-------------------------------------------------------------------
Sun Feb 13 17:07:18 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
  + %icon_theme_cache_post/postun because the package ships themed
    icons.
  + %mime_database_post/postun because the package ships a mime
    type definition.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.

------------------------------------------------------------------
Sun May 16 17:53:04 CEST 2010 - michal@sawicz.net

- Add seahorse-plugins-2.30.1-gpgisok.patch to fix signing
  and encryption of files (bgo#607423)

------------------------------------------------------------------
Thu Apr 29 14:33:54 CEST 2010 - dimstar@opensuse.org

- Update to version 2.30.1:
  + Fix nearly everything to compile with -DGSEAL_ENABLE
  + Use single GTK+ includes
  + Updated translations.

-------------------------------------------------------------------
Wed Mar 31 01:34:07 CEST 2010 - vuntz@opensuse.org

- Update to version 2.30.0:
  + Updated translations.

-------------------------------------------------------------------
Mon Feb 22 07:28:30 CET 2010 - dimstar@opensuse.org

- Update to version 2.29.91:
  + Unescape URI's before presenting them to the user.
  + Set visibility to FALSE on GtkEntries used for passphrase
    fields.
  + Updated translations.

-------------------------------------------------------------------
Thu Feb 11 00:08:00 CET 2010 - vuntz@opensuse.org

- Update to version 2.29.90:
  + Use GTK+ GtkEntryBuffer for secure password entry.
  + Fix usage of g_strconcat
  + Don't use fixed MAXPATHLEN size buffers
  + Updated translations.

-------------------------------------------------------------------
Wed Dec  2 23:40:48 CET 2009 - vuntz@opensuse.org

- Update to version 2.29.3:
  * Fix seahorse-tool typo
  * Support GPG 2.0
  * Close preferences window cleanly
  * Fix GTKBuilder signals
  * Convert to gtkbuilder
  + Updated translations.

-------------------------------------------------------------------
Sat Nov 14 21:52:38 CET 2009 - vuntz@opensuse.org

- Update to version 2.29.1:
  + no changes, just bump
- Changes from version 2.28.1:
  + Add the get-info command to seahorse-agent
- Drop seahorse-agent-careful-repeat.patch: fixed upstream.

-------------------------------------------------------------------
Wed Oct 28 08:56:54 UTC 2009 - aj@suse.de

- Fix interoperability of gnupg-2.0.12 and seahorse (bnc#545961)

-------------------------------------------------------------------
Thu Oct  8 16:08:29 CEST 2009 - vuntz@opensuse.org

- Make seahorse-plugins supplement seahorse since the
  seahorse-agent program is a nice add-on.
- Move the gconf schema for the gedit plugin to the gedit
  subpackage.

-------------------------------------------------------------------
Wed Sep 23 13:13:15 CEST 2009 - dimstar@opensuse.org

- Update to version 2.28.0:
  + Fix configure script portability
  + Fix crash in seahorse-preferences
  + Fix single glib include
  + Updated translations.
- Drop seahorse-plugins-no-ephy.patch and
  seahorse-plugins-build-fix.patch, included upstream.

-------------------------------------------------------------------
Tue Aug  4 13:17:10 CEST 2009 - vuntz@novell.com

- Add seahorse-plugins-no-ephy.patch to fix build with epiphany
  2.27. It means we lost the epiphany plugin for now, though.
- Add gnome-common BuildRequires and call gnome-autogen.sh for the
  patch.
- Remove BuildRequires on mozilla-xulrunner-devel and gcc-c++,
  since it was only there for the epiphany plugin.
- Disable the seahorse-plugins-epiphany package for now.
- Remove epiphany BuildRequires: it should be brought by the
  epiphany-devel BuildRequires anyway.
- Leave epiphany-devel BuildRequires so that when seahorse-plugins
  is ported to a newer epiphany, we'll get the plugin again.
- Add seahorse-plugins-build-fix.patch to fix build error about
  large file support, and remove the custom CFLAGS.
- Pass --disable-static and --disable-schemas-install to configure.
- Remove handling of old mime system, which doesn't exist anymore.

-------------------------------------------------------------------
Sun Jul 19 11:53:54 CEST 2009 - coolo@novell.com

- fix build
- remove authors

-------------------------------------------------------------------
Fri May  1 23:09:29 CEST 2009 - mboman@suse.de

- Update to version 2.27.1:
  + Clean up socket directory
  + Translation updates

-------------------------------------------------------------------
Tue Apr 14 16:35:27 CEST 2009 - vuntz@novell.com

- Update to version 2.26.1:
  + Updated translations.

-------------------------------------------------------------------
Tue Mar 17 20:34:35 CET 2009 - mboman@suse.de

- Update to version 2.26.0:
  + Cosmetic version bump

-------------------------------------------------------------------
Sun Mar 15 22:49:06 CET 2009 - mboman@suse.de

- Fix build (epiphany major version changed)

-------------------------------------------------------------------
Fri Mar  6 02:45:12 CET 2009 - vuntz@novell.com

- Update to version 2.25.92:
  + Connect the uninit function to gtk_quit signal
  + Only use 16 characters when generating a key identifier for
    notifications.
  + Fix reference counting to close windows properly
  + Fix exiting of gedit plugin
  + Don't print replacement text to stderr.
  + Remove deprecated GTK+ symbols
  + Removed unused screenshots
  + Update epiphany version checking automagic
- Drop seahorse-plugins-epiphany-2.26.patch: fixed upstream.
- Remove unneeded autoreconf call.
- Remove AutoReqProv: it's default now.
- Remove explicit PreReq on gconf2: it's in gconf_schemas_prereq.

-------------------------------------------------------------------
Wed Feb 18 20:05:32 CET 2009 - vuntz@novell.com

- Rename seahorse-plugins-epiphany-2.25.patch to
  seahorse-plugins-epiphany-2.26.patch, and update to use 2.26
  since the epiphany version has changed.

-------------------------------------------------------------------
Wed Feb  4 14:54:14 CET 2009 - vuntz@novell.com

- Update to version 2.25.90:
  + Don't prompt for signer if only one private key
  + Bring name of preferences window into alignment with desktop
    file and documentation
  + Finish removing libgnome calls
  + Fix display of error meassages
  + Updated translations 
- Drop seahorse-plugins.patch: fixed upstream.
- Add seahorse-plugins-epiphany-2.25.patch to make it build with
  epiphany 2.25. And add back autoreconf to have this work.

-------------------------------------------------------------------
Wed Dec 24 06:58:04 EST 2008 - mboman@suse.de

- Update to version 2.25.3:
  + remove calls that pull in libgnomeui
  + HIG Fixes
  + Make epiphany plugin work again

-------------------------------------------------------------------
Sat Dec 20 08:10:15 EST 2008 - mboman@suse.de

- Update to version 2.25.1:
  + remove last of gnome-vfs 

-------------------------------------------------------------------
Mon Oct 20 08:37:04 EST 2008 - mboman@suse.de

- Update to version 2.24.1:
  + Fix glade install directory. 

-------------------------------------------------------------------
Thu Oct 16 12:30:55 CEST 2008 - vuntz@novell.com

- Fix build: epiphany version is 2.24 and not 2.23.

-------------------------------------------------------------------
Wed Sep 24 17:48:12 CEST 2008 - maw@suse.de

- Initial package of seahorse-plugins, version 2.24.0, containing
  functionality previously provided by the various
  seahorse-*-plugin packages.
openSUSE Build Service is sponsored by